﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Types;
using System.Data;
using System.Data.SqlClient;

namespace DAL
{
    public class Magazine
    {
        public string ConStr = @"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\MAGAZINES.mdf;Integrated Security=True;User Instance=True";

        public Types.Magazines Select()
        {
            Types.Magazines Objs = new Types.Magazines();
            SqlConnection Con = new SqlConnection(ConStr);
            SqlCommand Cmd = new SqlCommand("SelectMagazines",
              Con);
            Cmd.CommandType = CommandType.StoredProcedure;
            Con.Open();
            SqlDataReader rd = Cmd.ExecuteReader(
            CommandBehavior.CloseConnection);
            try
            {
                while (rd.Read())
                {
                    Types.Magazine NewObj = new Types.Magazine();
                    NewObj.EDITION = Convert.ToInt32(rd[0]);
                    NewObj.ARTICLE = rd[1].ToString();
                    NewObj.LEVEL = Convert.ToDouble(rd[2]);
                    Objs.Add(NewObj);
                }
            }
            finally
            {
                rd.Close();
            }
            return Objs;
        }


        public void Update(Types.Magazine Obj)
        {
            SqlConnection Con = new SqlConnection(ConStr);
            SqlCommand Cmd = new SqlCommand("UpdateMagazine",
              Con);
            Cmd.CommandType = CommandType.StoredProcedure;
            Cmd.Parameters.AddWithValue("@ARTICLE", Obj.ARTICLE);
            Cmd.Parameters.AddWithValue("@LEVEL", Obj.LEVEL);
            Cmd.Parameters.AddWithValue("@EDITION", Obj.EDITION);
            Con.Open();
            try
            {
                Cmd.ExecuteNonQuery();
            }
            finally
            {
                Con.Close();
            }
        }

        public void Insert(Types.Magazine Obj)
        {
            SqlConnection Con = new SqlConnection(ConStr);
            SqlCommand Cmd = new SqlCommand("InsertMagazine",
              Con);
            Cmd.CommandType = CommandType.StoredProcedure;
            Cmd.Parameters.AddWithValue("@ARTICLE", Obj.ARTICLE);
            Cmd.Parameters.AddWithValue("@LEVEL", Obj.LEVEL);
            Cmd.Parameters.AddWithValue("@EDITION", Obj.EDITION);
            Con.Open();
            try
            {
                Cmd.ExecuteNonQuery();
            }
            finally
            {
                Con.Close();
            }
        }
    }
}
